> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dune.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Dashboard Schedule

> Stop refreshing a dashboard on a schedule. Returns deleted false when the dashboard has no schedule.

> [!NOTE]
>
> Minimum required API key scope: `Read/Write`

# Use Cases

* **Stop Credit Use**: Stop refreshing a dashboard that no longer needs fresh data.
* **Safe Retries**: When the dashboard has no schedule, the call returns `deleted: false` and not an error.


## OpenAPI

````yaml DELETE /v1/dashboards/{dashboard_id}/schedule
openapi: 3.0.1
info:
  contact: {}
  description: Dune API
  title: DuneAPI
  version: '1.0'
servers:
  - url: https://api.dune.com/api
security: []
paths:
  /v1/dashboards/{dashboard_id}/schedule:
    delete:
      summary: Delete a dashboard schedule
      description: >-
        Stop refreshing a dashboard on a schedule. Returns deleted false when
        the dashboard has no schedule.
      parameters:
        - description: API Key for the service
          in: header
          name: X-Dune-Api-Key
          required: true
          schema:
            type: string
        - description: Dashboard ID
          in: path
          name: dashboard_id
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.DeleteScheduleResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.Error400'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.Error401'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.Error403'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.Error404'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.Error500'
          description: Internal Server Error
components:
  schemas:
    models.DeleteScheduleResponse:
      properties:
        deleted:
          description: Deleted is false when there was no schedule.
          type: boolean
      type: object
    models.Error400:
      properties:
        error:
          example: Bad Request
          type: string
      type: object
    models.Error401:
      properties:
        error:
          example: Invalid API Key
          type: string
      type: object
    models.Error403:
      properties:
        error:
          example: >-
            Not allowed to execute query. Query is archived, unsaved or not
            enough permissions
          type: string
      type: object
    models.Error404:
      properties:
        error:
          example: Object not found
          type: string
      type: object
    models.Error500:
      properties:
        error:
          example: Internal error
          type: string
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.